Subject: Re: [xrblock] I-D Action: draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01.txt

From: Shida Schubert <[email-masked]>
Date: Tue, 24 Mar 2015 16:25:52 -0500

Folks;

 Any feedback on Varun’s question below? 

 Shida as co-chair

> On Feb 28, 2015, at 2:47 PM, Varun Singh <[email-masked]> wrote:
> 
> Hi all,
> 
> The -01 draft incorporates the changes discussed at IETF 91.
> - new registry defined for WebRTC Statistics API
> - added the SR and RR metrics, which were earlier in draft-alvestrand-rtcweb-stats-registry
> - changed the TitleCased identifiers to camelCase, to keep consistency with the W3C document.
> 
> OPEN ISSUE (burst metrics):
> The document currently defines two sets of burst metrics
> - Section 6.7: Reports cumulative packets in a burst and the corresponding burst counts. 
> - Section 6.8.: Reports the average fraction of packets lost in a burst/gap.
> 
> From section 6.7, we can infer the average burst of packet loss/discards by dividing the total_packets_lost_in_burst/burst_count.
> >From section 6.8, we can infer the impact of the burst packet loss, i.e., total_burst_loss/totel_expected_packets/burst_count
> 
> Do we keep both? or pick one?
> 
> Thoughts and comments on the open issue and the document in general are appreciated.
> 
> Regards,
> Varun (on behalf of the authors)
> 
> 
> 
> 
> 
> 
> On Sat, Feb 28, 2015 at 7:22 PM, <[email-masked] <mailto:[email-masked]>> wrote:
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts directories.
> > This draft is a work item of the Metric Blocks for use with RTCP's Extended Report Framework Working Group of the IETF.
> >
> > Title : Considerations for Selecting RTCP Extended Report (XR) Metrics for the WebRTC Statistics API
> > Authors : Varun Singh
> > Rachel Huang
> > Roni Even
> > Dan Romascanu
> > Lingli Deng
> > Filename : draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01.txt
> > Pages : 17
> > Date : 2015-02-28
> >
> > Abstract:
> > This document describes monitoring features related to media streams
> > in Web real-time communication (WebRTC). It provides a list of RTCP
> > Sender Report, Receiver Report and Extended Report metrics, which may
> > need to be supported by RTP implementations in some diverse
> > environments. It also defines a new IANA registry, a list of
> > identifiers for the WebRTC's statistics API. These identifiers are a
> > set of RTCP SR, RR, and XR metrics related to the transport of
> > multimedia flows.
> >
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-xrblock-rtcweb-rtcp-xr-metrics/ <https://datatracker.ietf.org/doc/draft-ietf-xrblock-rtcweb-rtcp-xr-metrics/>
> >
> > There's also a htmlized version available at:
> > http://tools.ietf.org/html/draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01 <http://tools.ietf.org/html/draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01>
> >
> > A diff from the previous version is available at:
> > http://www.ietf.org/rfcdiff?url2=draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01 <http://www.ietf.org/rfcdiff?url2=draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01>
> >
> >
> > Please note that it may take a couple of minutes from the time of submission
> > until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/ <ftp://ftp.ietf.org/internet-drafts/>
> >
> > _______________________________________________
> > xrblock mailing list
> > [email-masked] <mailto:[email-masked]>
> > https://www.ietf.org/mailman/listinfo/xrblock <https://www.ietf.org/mailman/listinfo/xrblock>
> 
> -- 
> http://www.callstats.io <http://www.callstats.io/>_______________________________________________
> xrblock mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xrblock

---

From: "Roni Even" <[email-masked]>
Date: Thu, 26 Mar 2015 16:14:43 +0200

Hi Varun,

I think that we can keep 6.7 and remove 6.8. Having the actual numbers allows for calculating rate and other statistics, so I find it more useful

Roni Even

From: xrblock [mailto:[email-masked]] On Behalf Of Varun Singh
Sent: 28 February, 2015 10:48 PM
To: [email-masked]
Subject: Re: [xrblock] I-D Action: draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01.txt

Hi all,

Regards,

On Sat, Feb 28, 2015 at 7:22 PM, <[email-masked]> wrote:
> https://datatracker.ietf.org/doc/draft-ietf-xrblock-rtcweb-rtcp-xr-metrics/
>
> http://tools.ietf.org/html/draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01
>
> http://www.ietf.org/rfcdiff?url2=draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01
>
>
> until the htmlized version and diff are available at tools.ietf.org.
>
> ftp://ftp.ietf.org/internet-drafts/
>

-- 
http://www.callstats.io

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 26 Mar 2015 14:36:02 +0000

Hi,

I had a slight preference for keeping both, but I can go also with the recommendation made by Roni.

Regards,

Dan

From: xrblock [mailto:[email-masked]] On Behalf Of Roni Even
Sent: Thursday, March 26, 2015 4:15 PM
To: 'Varun Singh'; [email-masked]
Subject: Re: [xrblock] I-D Action: draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01.txt

Hi Varun,

From: xrblock [mailto:[email-masked]] On Behalf Of Varun Singh
Sent: 28 February, 2015 10:48 PM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [xrblock] I-D Action: draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01.txt

Hi all,

Regards,

On Sat, Feb 28, 2015 at 7:22 PM, <[email-masked]<mailto:[email-masked]>> wrote:
> https://datatracker.ietf.org/doc/draft-ietf-xrblock-rtcweb-rtcp-xr-metrics/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dxrblock-2Drtcweb-2Drtcp-2Dxr-2Dmetrics_&d=AwMFaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=2DVCp7Yq7NwCmppbhGJHfp2QgRtWvw-wi_M55uA7Cio&s=nL8q86JVBMFrvK7IR5ej1tmJ0oDGYFbHoKc-72bWKqk&e=>
>
> http://tools.ietf.org/html/draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01<https://urldefense.proofpoint.com/v2/url?u=http-3A__tools.ietf.org_html_draft-2Dietf-2Dxrblock-2Drtcweb-2Drtcp-2Dxr-2Dmetrics-2D01&d=AwMFaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=2DVCp7Yq7NwCmppbhGJHfp2QgRtWvw-wi_M55uA7Cio&s=RkYGVcziIHT0k9H41Q6ikWyWMP7561ZsF5E6ARqwEc4&e=>
>
> http://www.ietf.org/rfcdiff?url2=draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Dietf-2Dxrblock-2Drtcweb-2Drtcp-2Dxr-2Dmetrics-2D01&d=AwMFaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=2DVCp7Yq7NwCmppbhGJHfp2QgRtWvw-wi_M55uA7Cio&s=94-MRdgc8fxg4FB5R-KJULLg-HBariT0kB6bJ8Ac0ic&e=>
>
>
> until the htmlized version and diff are available at tools.ietf.org<https://urldefense.proofpoint.com/v2/url?u=http-3A__tools.ietf.org&d=AwMFaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=2DVCp7Yq7NwCmppbhGJHfp2QgRtWvw-wi_M55uA7Cio&s=AlgMWamKjxXYQImrtN8Rz3lHPEKgDrvB2j4WbtaIAhQ&e=>.
>
> ftp://ftp.ietf.org/internet-drafts/<https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_internet-2Ddrafts_&d=AwMFaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=2DVCp7Yq7NwCmppbhGJHfp2QgRtWvw-wi_M55uA7Cio&s=_XTiA7bvYy0gSooJaSwKWUuKg6qRIfAnbH-6JerDZBM&e=>
>
> [email-masked]<mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/xrblock<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_xrblock&d=AwMFaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=2DVCp7Yq7NwCmppbhGJHfp2QgRtWvw-wi_M55uA7Cio&s=WSWptiv7UTFgaf5RKjSN3QN4bUIss5R7yhtuHZ3jrHc&e=>

--
http://www.callstats.io<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.callstats.io&d=AwMFaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=2DVCp7Yq7NwCmppbhGJHfp2QgRtWvw-wi_M55uA7Cio&s=ckkR17KA__TcI7unHt7ll1aL5JyseAePy69BLQYUfR0&e=>

---

From: Varun Singh <[email-masked]>
Date: Thu, 26 Mar 2015 10:44:44 -0500

Thank you Roni for the review and  feedback.

I too prefer 6.7, however, 6.8 has gapDiscardRate and gapLossRate in
addition to burstDiscardRate and burstLossRate, which cannot be
derived by the raw information in 6.7.
Would we be unhappy if the gapRates were removed or missing?

The other minor issue/bug within 6.7, that there is no definition for
burstDiscardCount in any XR draft. This would require a new draft and
can be proceeded in parallel.

-Varun

On Thu, Mar 26, 2015 at 9:14 AM, Roni Even <[email-masked]> wrote:
> Hi Varun,
>
> I think that we can keep 6.7 and remove 6.8. Having the actual numbers
> allows for calculating rate and other statistics, so I find it more useful
>
> Roni Even
>
>
>
> Subject: Re: [xrblock] I-D Action:
> draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01.txt
>
>
>
> Hi all,
>
> From section 6.7, we can infer the average burst of packet loss/discards by
> dividing the total_packets_lost_in_burst/burst_count.
> >From section 6.8, we can infer the impact of the burst packet loss, i.e.,
> total_burst_loss/totel_expected_packets/burst_count
>
>> This draft is a work item of the Metric Blocks for use with RTCP's
>> Extended Report Framework Working Group of the IETF.
>>

-- 
http://www.callstats.io

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Thu, 26 Mar 2015 16:05:19 +0000

Dear all,

I prefer 6.7 too. As for the issue raised by Varun, will it be a technical errata to RFC7003 or a new draft to define the missing metric?

BR,
Rachel

-----邮件原件-----
发件人: xrblock [mailto:[email-masked]] 代表 Varun Singh
发送时间: 2015年3月26日 23:45
收件人: Roni Even
抄送: [email-masked]
主题: Re: [xrblock] I-D Action: draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-01.txt

I too prefer 6.7, however, 6.8 has gapDiscardRate and gapLossRate in addition to burstDiscardRate and burstLossRate, which cannot be derived by the raw information in 6.7.
Would we be unhappy if the gapRates were removed or missing?

The other minor issue/bug within 6.7, that there is no definition for burstDiscardCount in any XR draft. This would require a new draft and can be proceeded in parallel.

-Varun

On Thu, Mar 26, 2015 at 9:14 AM, Roni Even <[email-masked]> wrote:
> From section 6.7, we can infer the average burst of packet 
> loss/discards by dividing the total_packets_lost_in_burst/burst_count.
>> Title : Considerations for Selecting RTCP Extended Report (XR) 
>> Metrics for the WebRTC Statistics API Authors : Varun Singh Rachel 
>> Huang Roni Even Dan Romascanu Lingli Deng Filename : 
>> Please note that it may take a couple of minutes from the time of 
>> submission until the htmlized version and diff are available at 
>> tools.ietf.org.
>>

--
http://www.callstats.io

---

From: Shida Schubert <[email-masked]>
Date: Sat, 28 Mar 2015 10:53:07 -0700

Hi;

 So looking at 

 http://www.ietf.org/iesg/statement/errata-processing.html <http://www.ietf.org/iesg/statement/errata-processing.html>

 My feeling is that we can probably do this as an errata. 

 I do think some of the people contributing to this WG who have experience chairing long running WG where errata/bis are common can probably give better guidance though. 

 Thanks

 Shida as co-chair

> On Mar 26, 2015, at 9:05 AM, Huangyihong (Rachel) <[email-masked]> wrote:
> Dear all,
>